Page MenuHomePhabricator

Create Export Endpoint For Diffs
Open, In Progress, MediumPublic2 Estimated Story Points

Description

Create exports endpoint for Diffs service that will query ksqlDB and create tar gz file with articles that has been changed during last 24 hours and upload it to s3 bucket so our customers can download it though the API.

Notes:

  • scheduler will send a command for a specific project
  • this endpoint will be called every hour

Related Objects

StatusSubtypeAssignedTask
OpenNone
In ProgressTim.abdullin

Event Timeline

AnnaMikla triaged this task as Medium priority.Nov 22 2021, 9:55 PM
AnnaMikla set the point value for this task to 13.Dec 8 2021, 7:06 PM
Tim.abdullin changed the task status from Open to In Progress.Dec 10 2021, 3:37 PM
Tim.abdullin moved this task from Sprint 9 Backlog to In Progress on the Wikimedia Enterprise board.
Tim.abdullin changed the point value for this task from 13 to 8.Dec 28 2021, 1:11 PM
Tim.abdullin changed the point value for this task from 8 to 5.Jan 6 2022, 11:02 AM
Tim.abdullin changed the point value for this task from 5 to 2.Feb 23 2022, 2:49 PM